images:
  lobechat:
    repository: lobehub/lobe-chat
    tag: "v0.154.5"

config:
  imagePullPolicy: IfNotPresent
  updateStrategy: Recreate
  debug: false
  lobechat:
    hostname: ''
    baseUrl: ''
    replicas: 1
    resources:
      limits:
        cpu: 100m
        memory: 128Mi
      requests:
        cpu: 100m
        memory: 128Mi
  s3:
    integration: ''
    bucket: ''
    accessKey: ''
    endpoint: ''
    preserve: true
    region: ''
    secretKey: ''
    publicDomain: ''
  postgres:
    integration: ''
    database:
    host: ''
    password: ''
    port: ''
    username: ''
  keycloak:
    enabled: false
    integration: ''
    baseUrl: ''
    clientId: ''
    clientSecret: ''
    realmName: ''
    updateProfileOnLogin: true
    autoCreateGroups: true
  secret:
    enabled: true
    openaiApiKey: ""
    accessCode: ""
service:
  lobechat:
    type: ClusterIP
    externalTrafficPolicy: Cluster
    nodePorts:
      http:
    lbPorts:
      http: 80

ingress:
  lobechat:
    enabled: false
    hostnames: []
    tls: false
    issuer:
      name: ''
persistence:
  enabled: true
  accessMode: ReadWriteOnce
  size:
    redis: 1Gi
    rabbitmq: 100Mi
    monitor: 100Mi
  storageClass: ''
  kanister:
    enabled: false
    schedule: '0 0 * * *'
